Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Zugriff auf Excel: Blattname auslesen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Zugriff auf Excel: Blattname auslesen (888 mal gelesen)
Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 2833
Registriert: 15.10.2003

Win 7/64 Prof & Win 10/64 Pro
AutoCAD 2011 - 2017, Expresstools, VPRaster
BricsCAD V16

erstellt am: 07. Mai. 2009 09:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hier http://www.theswamp.org/index.php?topic=17140.0  gibt es eine Sammlung von Funktionen für den Zugriff auf Excel.

Ist es damit (bzw. mit einer Erweiterung) möglich, aus eioner gewählten Datei die Namen der einzelnen Blätter auszulesen?

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

.

erstellt am: 07. Mai. 2009 09:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Prinzipiell JA

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 2833
Registriert: 15.10.2003

Win 7/64 Prof & Win 10/64 Pro
AutoCAD 2011 - 2017, Expresstools, VPRaster
BricsCAD V16

erstellt am: 07. Mai. 2009 10:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von CADmium:
Prinzipiell JA

Fein. Dann kann ich ja mit der nächsten Frage nicht ganz falsch liegen ... 

Wie geht es denn konkret?
Wenn es jemand weiss, könnte er bitte entsprechende Hinweise oder Codeteile bereitstellen?

Besten Dank

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

.

erstellt am: 07. Mai. 2009 11:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

gesucht !! gefunden !! und nix verstanden??

nun ja , mal quick &dirty . MEnzi hats da Fehlertoleranter gemacht, aber der Weg sollte auch bei folgendem Code klar sein :

(defun EXCELSHEETNAMES( / FILE EXCLEOBJ WB SHEET NAMES)
  (if(and(setq FILE(getfiled "Excel" "" "xls" 8))
        (setq FILE(findfile FILE))
    )   
    (if(and(setq EXCELOBJ(vlax-get-or-create-object (strcat "Excel.Application")))
          (setq WB(vlax-invoke-method
                      (vlax-get-property EXCELOBJ 'Workbooks)
                      'Open
                      FILE
                  )
          )         
      )
      (progn
        (vlax-for SHEET (vlax-get-property WB 'Sheets)
          (setq NAMES(cons (vlax-get-property SHEET 'Name) NAMES))
        ) 
        (vlax-invoke-method WB 'Close :vlax-false)
        (if (not (vlax-object-released-p WB)) (vlax-release-object WB))
        (vlax-release-object EXCELOBJ)
      )
    )
  )
  (reverse NAMES)
)

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



(Fach-)Informatiker oder Techniker als IT-Support-Mitarbeiter (m/w) für CAD/CAM- und ERP-System (Helpdesk)
(Fach-)Informatiker oder Techniker als IT-Support-Mitarbeiter (m/w) für CAD/CAM- und ERP-System (Helpdesk) ? Lantek Systemtechnik GmbH ? Darmstadt (Fach-)Informatiker oder Techniker als IT-Support-Mitarbeiter (m/w) für CAD/CAM- und ERP-System (Helpdesk) Lantek ist ein Softwareunternehmen, das sich auf von unserer Forschungs- und Entwicklungsabteilung selbst entwickelte ...
Anzeige ansehenSystemadministration, Netzwerkadministration
Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 2833
Registriert: 15.10.2003

Win 7/64 Prof & Win 10/64 Pro
AutoCAD 2011 - 2017, Expresstools, VPRaster
BricsCAD V16

erstellt am: 07. Mai. 2009 12:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von CADmium:
....und nix verstanden??...

Ja, leider. Konnte mich in der letzten Zeit kaum damit beschäftigen.

Herzlichen Dank - es läuft.

Peter

------------------
Für jedes Problem gibt es eine einfache Lösung.
Die ist aber meistens falsch. ;-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de